
%define _with_repolib 1
%define _without_gcj_support 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repo       %{_javadir}/repository.jboss.com
%define repodir    %{repo}/apache-xml-commons-resolver/1.2-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define resolverdir %{_sysconfdir}/java/resolver12

Name:           xml-commons-resolver12
Version:        1.2
Release:        0.1.20060226svn.0jpp.ep1.3%{?dist}
Epoch:          1
Summary:        Resolver subproject of xml-commons
License:        Apache Software License
URL:            http://xml.apache.org/commons/
Source0:        xml-commons-resolver-1.2-20060226svn.tar.gz
# svn export -r '{2006-02-26}' http://svn.apache.org/repos/asf/xml/commons/trunk/
# mv trunk xml-commons-resolver-1.2
# tar czf xml-commons-resolver-1.2-20060226svn.tar.gz xml-commons-resolver-1.2
Source1:        xml-commons-resolver12-resolver.sh
Source2:        xml-commons-resolver12-xread.sh
Source3:        xml-commons-resolver12-xparse.sh
Source4:        xml-commons-resolver12-xparse.1
Source5:        xml-commons-resolver12-xread.1
Source6:        xml-commons-resolver12-resolver.1
Source7:        xml-commons-resolver-1.2-component-info.xml
Requires:       jaxp_parser_impl
Requires:       xml-commons-apis
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
#BuildRequires:  %{_bindir}/xsltproc
#BuildRequires:  docbook-style-xsl
Group:          Text Processing/Markup/XML
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description
Resolver subproject of xml-commons.

%if %{with_repolib}
%package         repolib
Summary:         Artifacts to be uploaded to a repository library
Group:  Development/Libraries/Java

%description     repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n xml-commons-resolver-1.2
# remove all binary libs 
rm -rf `find . -name "*.jar" -o -name "*.gz"`

pushd java
   sed -e 's|call Resolver|call resolver|g' resolver.xml > tempf
   sed -e 's|classname="org.apache.xml.resolver.Catalog"|fork="yes" classname="org.apache.xml.resolver.apps.resolver"|g' tempf > resolver.xml
   sed -e 's|org.apache.xml.resolver.Catalog|org.apache.xml.resolver.apps.resolver|g' src/manifest.resolver > tempf
   cp tempf src/manifest.resolver
   rm tempf
popd


tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE7}

%build
ant -f java/resolver.xml jar javadocs

%install
rm -rf $RPM_BUILD_ROOT

pushd java

# Jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp build/resolver.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

# Jar versioning
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# Javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/apidocs/resolver/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s  %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Scripts
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/xml-resolver12
cp %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/xml-xread12
cp %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xml-xparse12

cp %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man1/xml-xparse12.1
cp %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man1/xml-xread12.1
cp %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man1/xml-resolver12.1

popd

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif


%if %{with_repolib}
        install -d -m 755 $RPM_BUILD_ROOT%{repodir}
        install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
        install -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{repodir}/component-info.xml
        install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
        install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
        cp $RPM_BUILD_ROOT%{_javadir}/xml-commons-resolver12.jar $RPM_BUILD_ROOT%{repodirlib}/resolver.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc KEYS java/src/org/apache/xml/resolver/NOTICE-resolver.txt 
%doc java/src/org/apache/xml/resolver/LICENSE.resolver.txt
%{_javadir}/%{name}*
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/xml-resolver12.1*
%{_mandir}/man1/xml-xread12.1*
%{_mandir}/man1/xml-xparse12.1*

%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Fri Mar 23 2007 Matt Wringe <mwringe@redhat.com> 1:1.2-0.1.20060226svn.0jpp.ep1.3
- disable gcj support

* Fri Mar 23 2007 Matt Wringe <mwringe@redhat.com> 1:1.2-0.1.20060226svn.0jpp.ep1.2
- Rebuild

* Thu Mar 08 2007 Matt Wringe <mwringe@redhat.com> 1:1.2-0.1.20060226svn.0jpp.ep1.1
- Update to xml-commons-resolver12
- Due to potential incompatibility issues between resolver 1.1 and
  1.2 this package will not replacing xml-commons-resolver for RHEL5.
  Since the RHEL4 and RHEL5 EAP packages will be the same, this package
  will also be called resolver12 in EAP.

* Thu Aug 10 2006 Deepak Bhole <dbhole@redhat.com> 1.1-1jpp.12
- Added missing dependencies.

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0:1.1-1jpp_11fc
- Rebuilt

* Fri Jul 21 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.1-1jpp_10fc
- Added conditional native compilation.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:1.1-1jpp_9fc
- rebuild

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:1.1-1jpp_8fc
- stop scriptlet spew

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0:1.1-1jpp_7fc
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 0:1.1-1jpp_6fc
- rebuilt

* Tue Jun 28 2005 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_5fc
- Remove jarfile from the tarball.

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_4fc
- Build into Fedora.

* Thu Oct 28 2004 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_3fc
- Bootstrap into Fedora.

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.1-1jpp_2rh
- RH vacuuming part II

* Wed Mar  3 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.1-1jpp_1rh
- RH vacuuming

* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 0:1.1-1jpp
- 1.1
- use perl instead of patch
- don't build docs (build fails)

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.0-2jpp
- update for JPackage 1.5

* Wed Nov 13 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.0-1jpp
- Follow upstream changes, split out of xml-commons.

